> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated data source summaries

> Get a page of an end user's data sources with dashboard aggregates, newest first.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/data_sources/summary
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/data_sources/summary:
    get:
      tags:
        - EndUserDataSources
      summary: Get paginated data source summaries
      description: >-
        Get a page of an end user's data sources with dashboard aggregates,
        newest first.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Pagination page number
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: integer
        - description: Pagination limit per page
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  _meta:
                    $ref: '#/components/schemas/Pagination'
                  data_sources:
                    items:
                      $ref: '#/components/schemas/EndUserDataSourceSummarySchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Pagination:
      properties:
        next_url:
          description: the URL of the next page
          format: url
          nullable: true
          type: string
        num_results:
          description: the number of results on this page
          type: integer
        page:
          description: current page
          type: integer
        pages:
          description: the number of pages
          type: integer
        per_page:
          description: the max number of results per page
          type: integer
        prev_url:
          description: the URL of the last page
          format: url
          nullable: true
          type: string
        total:
          description: the number of results across all pages
          type: integer
      type: object
    EndUserDataSourceSummarySchema:
      properties:
        all_reconciled:
          nullable: true
          type: boolean
        anomaly_reasons:
          items:
            type: string
          nullable: true
          type: array
        filename:
          nullable: true
          type: string
        has_unexplained_edits:
          nullable: true
          type: boolean
        heron_id:
          type: string
        is_enabled:
          type: boolean
        max_anomaly_score:
          nullable: true
          type: integer
        max_date:
          format: date
          nullable: true
          type: string
        min_date:
          format: date
          nullable: true
          type: string
        num_extracted_transactions:
          nullable: true
          type: integer
        num_statements:
          nullable: true
          type: integer
        num_transactions:
          type: integer
        reference_id:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        type:
          enum:
            - api
            - csv
            - pdf
            - integration_link
            - legacy
            - legacy_pdf
            - legacy_integration_link
          type: string
      required:
        - all_reconciled
        - anomaly_reasons
        - filename
        - has_unexplained_edits
        - heron_id
        - is_enabled
        - max_anomaly_score
        - max_date
        - min_date
        - num_extracted_transactions
        - num_statements
        - num_transactions
        - reference_id
        - status
        - type
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````